%%%---------------------------------------
%%% module      : data_designation
%%% description : 称号配置
%%%
%%%---------------------------------------
-module(data_designation).
-compile(export_all).
-include("designation.hrl").



get_by_id(430001) ->
    #base_designation{id = 430001,main_type = 1,name = "小白驾到",description = "完成成就获得的里程碑奖励",type = 1,is_trial = 0,goods_id = 430001,attr_list = [{1,60},{4,30},{2,600}],resource_id = 430001,is_global = 0,color = 2,power = 0,access_way = "完成成就系列一获得",access_id = [],index = 2,force_cancel = 0};

get_by_id(430002) ->
    #base_designation{id = 430002,main_type = 1,name = "冉冉升起",description = "完成成就获得的里程碑奖励",type = 1,is_trial = 0,goods_id = 430002,attr_list = [{1,100},{4,50},{2,1000}],resource_id = 430002,is_global = 0,color = 2,power = 0,access_way = "完成成就系列二获得",access_id = [],index = 4,force_cancel = 0};

get_by_id(430003) ->
    #base_designation{id = 430003,main_type = 1,name = "闪耀新星",description = "完成成就获得的里程碑奖励",type = 1,is_trial = 0,goods_id = 430003,attr_list = [{1,150},{4,75},{2,1500}],resource_id = 430003,is_global = 0,color = 2,power = 0,access_way = "完成成就系列三获得",access_id = [],index = 6,force_cancel = 0};

get_by_id(430004) ->
    #base_designation{id = 430004,main_type = 1,name = "认证高玩",description = "完成成就获得的里程碑奖励",type = 1,is_trial = 0,goods_id = 430004,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 430004,is_global = 0,color = 2,power = 0,access_way = "完成成就系列四获得",access_id = [],index = 8,force_cancel = 0};

get_by_id(430005) ->
    #base_designation{id = 430005,main_type = 1,name = "资深达人",description = "完成成就获得的里程碑奖励",type = 1,is_trial = 0,goods_id = 430005,attr_list = [{1,250},{4,125},{2,2500}],resource_id = 430005,is_global = 0,color = 3,power = 0,access_way = "完成成就系列五获得",access_id = [],index = 10,force_cancel = 0};

get_by_id(430006) ->
    #base_designation{id = 430006,main_type = 1,name = "核心精英",description = "完成成就获得的里程碑奖励",type = 1,is_trial = 0,goods_id = 430006,attr_list = [{1,300},{4,150},{2,3000}],resource_id = 430006,is_global = 0,color = 3,power = 0,access_way = "完成成就系列六获得",access_id = [],index = 12,force_cancel = 0};

get_by_id(430007) ->
    #base_designation{id = 430007,main_type = 1,name = "大佬现身",description = "完成成就获得的里程碑奖励",type = 1,is_trial = 0,goods_id = 430007,attr_list = [{1,350},{4,175},{2,3500}],resource_id = 430007,is_global = 0,color = 3,power = 0,access_way = "完成成就系列七获得",access_id = [],index = 14,force_cancel = 0};

get_by_id(430008) ->
    #base_designation{id = 430008,main_type = 1,name = "光耀之子",description = "完成成就获得的里程碑奖励",type = 2,is_trial = 0,goods_id = 430008,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 430008,is_global = 0,color = 4,power = 0,access_way = "完成成就系列八获得",access_id = [],index = 16,force_cancel = 0};

get_by_id(430009) ->
    #base_designation{id = 430009,main_type = 1,name = "无双翘楚",description = "完成成就获得的里程碑奖励",type = 2,is_trial = 0,goods_id = 430009,attr_list = [{1,450},{4,225},{2,4500}],resource_id = 430009,is_global = 0,color = 4,power = 0,access_way = "完成成就系列九获得",access_id = [],index = 18,force_cancel = 0};

get_by_id(430010) ->
    #base_designation{id = 430010,main_type = 1,name = "通关·独孤求败",description = "完成成就获得的里程碑奖励",type = 2,is_trial = 0,goods_id = 430010,attr_list = [{1,500},{4,250},{2,5000}],resource_id = 430010,is_global = 0,color = 5,power = 0,access_way = "完成成就系列十获得",access_id = [],index = 20,force_cancel = 0};

get_by_id(430011) ->
    #base_designation{id = 430011,main_type = 1,name = "回廊·启程",description = "通关无尽回廊第4层后获得",type = 1,is_trial = 0,goods_id = 430011,attr_list = [{1,40},{4,20},{2,400}],resource_id = 430011,is_global = 0,color = 2,power = 0,access_way = "通关无尽回廊第4层",access_id = [],index = 3,force_cancel = 0};

get_by_id(430012) ->
    #base_designation{id = 430012,main_type = 1,name = "回廊·初探",description = "通关无尽回廊第8层后获得",type = 1,is_trial = 0,goods_id = 430012,attr_list = [{1,50},{4,25},{2,500}],resource_id = 430012,is_global = 0,color = 2,power = 0,access_way = "通关无尽回廊第8层",access_id = [],index = 5,force_cancel = 0};

get_by_id(430013) ->
    #base_designation{id = 430013,main_type = 1,name = "回廊·萌新",description = "通关无尽回廊第12层后获得",type = 1,is_trial = 0,goods_id = 430013,attr_list = [{1,60},{4,30},{2,600}],resource_id = 430013,is_global = 0,color = 2,power = 0,access_way = "通关无尽回廊第12层",access_id = [],index = 7,force_cancel = 0};

get_by_id(430014) ->
    #base_designation{id = 430014,main_type = 1,name = "回廊·曲折",description = "通关无尽回廊第16层后获得",type = 1,is_trial = 0,goods_id = 430014,attr_list = [{1,70},{4,35},{2,700}],resource_id = 430014,is_global = 0,color = 2,power = 0,access_way = "通关无尽回廊第16层",access_id = [],index = 9,force_cancel = 0};

get_by_id(430015) ->
    #base_designation{id = 430015,main_type = 1,name = "回廊·风雨",description = "通关无尽回廊第20层后获得",type = 1,is_trial = 0,goods_id = 430015,attr_list = [{1,80},{4,40},{2,800}],resource_id = 430015,is_global = 0,color = 2,power = 0,access_way = "通关无尽回廊第20层",access_id = [],index = 11,force_cancel = 0};

get_by_id(430016) ->
    #base_designation{id = 430016,main_type = 1,name = "回廊·求索",description = "通关无尽回廊第24层后获得",type = 1,is_trial = 0,goods_id = 430016,attr_list = [{1,90},{4,45},{2,900}],resource_id = 430016,is_global = 0,color = 2,power = 0,access_way = "通关无尽回廊第24层",access_id = [],index = 13,force_cancel = 0};

get_by_id(430017) ->
    #base_designation{id = 430017,main_type = 1,name = "回廊·争夺",description = "通关无尽回廊第28层后获得",type = 1,is_trial = 0,goods_id = 430017,attr_list = [{1,100},{4,50},{2,1000}],resource_id = 430017,is_global = 0,color = 2,power = 0,access_way = "通关无尽回廊第28层",access_id = [],index = 15,force_cancel = 0};

get_by_id(430018) ->
    #base_designation{id = 430018,main_type = 1,name = "回廊·前行",description = "通关无尽回廊第32层后获得",type = 1,is_trial = 0,goods_id = 430018,attr_list = [{1,110},{4,55},{2,1100}],resource_id = 430018,is_global = 0,color = 2,power = 0,access_way = "通关无尽回廊第32层",access_id = [],index = 17,force_cancel = 0};

get_by_id(430019) ->
    #base_designation{id = 430019,main_type = 1,name = "回廊·跋涉",description = "通关无尽回廊第36层后获得",type = 1,is_trial = 0,goods_id = 430019,attr_list = [{1,120},{4,60},{2,1200}],resource_id = 430019,is_global = 0,color = 2,power = 0,access_way = "通关无尽回廊第36层",access_id = [],index = 19,force_cancel = 0};

get_by_id(430020) ->
    #base_designation{id = 430020,main_type = 1,name = "回廊·无畏",description = "通关无尽回廊第40层后获得",type = 1,is_trial = 0,goods_id = 430020,attr_list = [{1,130},{4,65},{2,1300}],resource_id = 430020,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第40层",access_id = [],index = 21,force_cancel = 0};

get_by_id(430021) ->
    #base_designation{id = 430021,main_type = 1,name = "回廊·磨砺",description = "通关无尽回廊第44层后获得",type = 1,is_trial = 0,goods_id = 430021,attr_list = [{1,140},{4,70},{2,1400}],resource_id = 430021,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第44层",access_id = [],index = 22,force_cancel = 0};

get_by_id(430022) ->
    #base_designation{id = 430022,main_type = 1,name = "回廊·探索",description = "通关无尽回廊第48层后获得",type = 1,is_trial = 0,goods_id = 430022,attr_list = [{1,150},{4,75},{2,1500}],resource_id = 430022,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第48层",access_id = [],index = 23,force_cancel = 0};

get_by_id(430023) ->
    #base_designation{id = 430023,main_type = 1,name = "回廊·远眺",description = "通关无尽回廊第52层后获得",type = 1,is_trial = 0,goods_id = 430023,attr_list = [{1,160},{4,80},{2,1600}],resource_id = 430023,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第52层",access_id = [],index = 24,force_cancel = 0};

get_by_id(430024) ->
    #base_designation{id = 430024,main_type = 1,name = "回廊·历程",description = "通关无尽回廊第56层后获得",type = 1,is_trial = 0,goods_id = 430024,attr_list = [{1,170},{4,85},{2,1700}],resource_id = 430024,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第56层",access_id = [],index = 25,force_cancel = 0};

get_by_id(430025) ->
    #base_designation{id = 430025,main_type = 1,name = "回廊·信念",description = "通关无尽回廊第60层后获得",type = 1,is_trial = 0,goods_id = 430025,attr_list = [{1,180},{4,90},{2,1800}],resource_id = 430025,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第60层",access_id = [],index = 26,force_cancel = 0};

get_by_id(430026) ->
    #base_designation{id = 430026,main_type = 1,name = "回廊·回首",description = "通关无尽回廊第64层后获得",type = 1,is_trial = 0,goods_id = 430026,attr_list = [{1,190},{4,95},{2,1900}],resource_id = 430026,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第64层",access_id = [],index = 27,force_cancel = 0};

get_by_id(430027) ->
    #base_designation{id = 430027,main_type = 1,name = "回廊·追梦",description = "通关无尽回廊第68层后获得",type = 1,is_trial = 0,goods_id = 430027,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 430027,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第68层",access_id = [],index = 28,force_cancel = 0};

get_by_id(430028) ->
    #base_designation{id = 430028,main_type = 1,name = "回廊·起飞",description = "通关无尽回廊第72层后获得",type = 1,is_trial = 0,goods_id = 430028,attr_list = [{1,210},{4,105},{2,2100}],resource_id = 430028,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第72层",access_id = [],index = 29,force_cancel = 0};

get_by_id(430029) ->
    #base_designation{id = 430029,main_type = 1,name = "回廊·升腾",description = "通关无尽回廊第76层后获得",type = 1,is_trial = 0,goods_id = 430029,attr_list = [{1,220},{4,110},{2,2200}],resource_id = 430029,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第76层",access_id = [],index = 30,force_cancel = 0};

get_by_id(430030) ->
    #base_designation{id = 430030,main_type = 1,name = "回廊·登顶",description = "通关无尽回廊第80层后获得",type = 1,is_trial = 0,goods_id = 430030,attr_list = [{1,230},{4,115},{2,2300}],resource_id = 430030,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第80层",access_id = [],index = 31,force_cancel = 0};

get_by_id(430031) ->
    #base_designation{id = 430031,main_type = 1,name = "回廊·俯瞰",description = "通关无尽回廊第84层后获得",type = 1,is_trial = 0,goods_id = 430031,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 430031,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第84层",access_id = [],index = 32,force_cancel = 0};

get_by_id(430032) ->
    #base_designation{id = 430032,main_type = 1,name = "回廊·天际",description = "通关无尽回廊第88层后获得",type = 1,is_trial = 0,goods_id = 430032,attr_list = [{1,250},{4,125},{2,2500}],resource_id = 430032,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第88层",access_id = [],index = 33,force_cancel = 0};

get_by_id(430033) ->
    #base_designation{id = 430033,main_type = 1,name = "回廊·圆满",description = "通关无尽回廊第92层后获得",type = 1,is_trial = 0,goods_id = 430033,attr_list = [{1,260},{4,130},{2,2600}],resource_id = 430033,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第92层",access_id = [],index = 34,force_cancel = 0};

get_by_id(430034) ->
    #base_designation{id = 430034,main_type = 1,name = "回廊·无尽",description = "通关无尽回廊第96层后获得",type = 1,is_trial = 0,goods_id = 430034,attr_list = [{1,270},{4,135},{2,2700}],resource_id = 430034,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第96层",access_id = [],index = 35,force_cancel = 0};

get_by_id(430035) ->
    #base_designation{id = 430035,main_type = 1,name = "无尽·启程",description = "通关无尽回廊第100层后获得",type = 1,is_trial = 0,goods_id = 430035,attr_list = [{1,280},{4,140},{2,2800}],resource_id = 430035,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第100层",access_id = [],index = 36,force_cancel = 0};

get_by_id(430036) ->
    #base_designation{id = 430036,main_type = 1,name = "无尽·初探",description = "通关无尽回廊第104层后获得",type = 1,is_trial = 0,goods_id = 430036,attr_list = [{1,290},{4,145},{2,2900}],resource_id = 430036,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第104层",access_id = [],index = 37,force_cancel = 0};

get_by_id(430037) ->
    #base_designation{id = 430037,main_type = 1,name = "无尽·萌新",description = "通关无尽回廊第108层后获得",type = 1,is_trial = 0,goods_id = 430037,attr_list = [{1,300},{4,150},{2,3000}],resource_id = 430037,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第108层",access_id = [],index = 38,force_cancel = 0};

get_by_id(430038) ->
    #base_designation{id = 430038,main_type = 1,name = "无尽·曲折",description = "通关无尽回廊第112层后获得",type = 1,is_trial = 0,goods_id = 430038,attr_list = [{1,310},{4,155},{2,3100}],resource_id = 430038,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第112层",access_id = [],index = 39,force_cancel = 0};

get_by_id(430039) ->
    #base_designation{id = 430039,main_type = 1,name = "无尽·风雨",description = "通关无尽回廊第116层后获得",type = 1,is_trial = 0,goods_id = 430039,attr_list = [{1,320},{4,160},{2,3200}],resource_id = 430039,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第116层",access_id = [],index = 40,force_cancel = 0};

get_by_id(430040) ->
    #base_designation{id = 430040,main_type = 1,name = "无尽·求索",description = "通关无尽回廊第120层后获得",type = 1,is_trial = 0,goods_id = 430040,attr_list = [{1,330},{4,165},{2,3300}],resource_id = 430040,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第120层",access_id = [],index = 41,force_cancel = 0};

get_by_id(430041) ->
    #base_designation{id = 430041,main_type = 1,name = "无尽·争夺",description = "通关无尽回廊第124层后获得",type = 1,is_trial = 0,goods_id = 430041,attr_list = [{1,340},{4,170},{2,3400}],resource_id = 430041,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第124层",access_id = [],index = 42,force_cancel = 0};

get_by_id(430042) ->
    #base_designation{id = 430042,main_type = 1,name = "无尽·前行",description = "通关无尽回廊第128层后获得",type = 1,is_trial = 0,goods_id = 430042,attr_list = [{1,350},{4,175},{2,3500}],resource_id = 430042,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第128层",access_id = [],index = 43,force_cancel = 0};

get_by_id(430043) ->
    #base_designation{id = 430043,main_type = 1,name = "无尽·跋涉",description = "通关无尽回廊第132层后获得",type = 1,is_trial = 0,goods_id = 430043,attr_list = [{1,360},{4,180},{2,3600}],resource_id = 430043,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第132层",access_id = [],index = 44,force_cancel = 0};

get_by_id(430044) ->
    #base_designation{id = 430044,main_type = 1,name = "无尽·无畏",description = "通关无尽回廊第136层后获得",type = 1,is_trial = 0,goods_id = 430044,attr_list = [{1,370},{4,185},{2,3700}],resource_id = 430044,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第136层",access_id = [],index = 45,force_cancel = 0};

get_by_id(430045) ->
    #base_designation{id = 430045,main_type = 1,name = "无尽·磨砺",description = "通关无尽回廊第140层后获得",type = 1,is_trial = 0,goods_id = 430045,attr_list = [{1,380},{4,190},{2,3800}],resource_id = 430045,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第140层",access_id = [],index = 46,force_cancel = 0};

get_by_id(430046) ->
    #base_designation{id = 430046,main_type = 1,name = "无尽·探索",description = "通关无尽回廊第144层后获得",type = 1,is_trial = 0,goods_id = 430046,attr_list = [{1,390},{4,195},{2,3900}],resource_id = 430046,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第144层",access_id = [],index = 47,force_cancel = 0};

get_by_id(430047) ->
    #base_designation{id = 430047,main_type = 1,name = "无尽·远眺",description = "通关无尽回廊第148层后获得",type = 1,is_trial = 0,goods_id = 430047,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 430047,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第148层",access_id = [],index = 48,force_cancel = 0};

get_by_id(430048) ->
    #base_designation{id = 430048,main_type = 1,name = "无尽·历程",description = "通关无尽回廊第152层后获得",type = 1,is_trial = 0,goods_id = 430048,attr_list = [{1,410},{4,205},{2,4100}],resource_id = 430048,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第152层",access_id = [],index = 49,force_cancel = 0};

get_by_id(430049) ->
    #base_designation{id = 430049,main_type = 1,name = "无尽·信念",description = "通关无尽回廊第156层后获得",type = 1,is_trial = 0,goods_id = 430049,attr_list = [{1,420},{4,210},{2,4200}],resource_id = 430049,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第156层",access_id = [],index = 50,force_cancel = 0};

get_by_id(430050) ->
    #base_designation{id = 430050,main_type = 1,name = "无尽·回首",description = "通关无尽回廊第160层后获得",type = 1,is_trial = 0,goods_id = 430050,attr_list = [{1,430},{4,215},{2,4300}],resource_id = 430050,is_global = 0,color = 3,power = 0,access_way = "通关无尽回廊第160层",access_id = [],index = 51,force_cancel = 0};

get_by_id(430051) ->
    #base_designation{id = 430051,main_type = 1,name = "无尽·追梦",description = "通关无尽回廊第164层后获得",type = 1,is_trial = 0,goods_id = 430051,attr_list = [{1,440},{4,220},{2,4400}],resource_id = 430051,is_global = 0,color = 4,power = 0,access_way = "通关无尽回廊第164层",access_id = [],index = 52,force_cancel = 0};

get_by_id(430052) ->
    #base_designation{id = 430052,main_type = 1,name = "无尽·起飞",description = "通关无尽回廊第168层后获得",type = 1,is_trial = 0,goods_id = 430052,attr_list = [{1,450},{4,225},{2,4500}],resource_id = 430052,is_global = 0,color = 4,power = 0,access_way = "通关无尽回廊第168层",access_id = [],index = 53,force_cancel = 0};

get_by_id(430053) ->
    #base_designation{id = 430053,main_type = 1,name = "无尽·升腾",description = "通关无尽回廊第172层后获得",type = 1,is_trial = 0,goods_id = 430053,attr_list = [{1,460},{4,230},{2,4600}],resource_id = 430053,is_global = 0,color = 4,power = 0,access_way = "通关无尽回廊第172层",access_id = [],index = 54,force_cancel = 0};

get_by_id(430054) ->
    #base_designation{id = 430054,main_type = 1,name = "无尽·登顶",description = "通关无尽回廊第176层后获得",type = 1,is_trial = 0,goods_id = 430054,attr_list = [{1,470},{4,235},{2,4700}],resource_id = 430054,is_global = 0,color = 4,power = 0,access_way = "通关无尽回廊第176层",access_id = [],index = 55,force_cancel = 0};

get_by_id(430055) ->
    #base_designation{id = 430055,main_type = 1,name = "无尽·俯瞰",description = "通关无尽回廊第180层后获得",type = 1,is_trial = 0,goods_id = 430055,attr_list = [{1,480},{4,240},{2,4800}],resource_id = 430055,is_global = 0,color = 4,power = 0,access_way = "通关无尽回廊第180层",access_id = [],index = 56,force_cancel = 0};

get_by_id(430056) ->
    #base_designation{id = 430056,main_type = 1,name = "无尽·天际",description = "通关无尽回廊第184层后获得",type = 1,is_trial = 0,goods_id = 430056,attr_list = [{1,490},{4,245},{2,4900}],resource_id = 430056,is_global = 0,color = 4,power = 0,access_way = "通关无尽回廊第184层",access_id = [],index = 57,force_cancel = 0};

get_by_id(430057) ->
    #base_designation{id = 430057,main_type = 1,name = "无尽·圆满",description = "通关无尽回廊第188层后获得",type = 1,is_trial = 0,goods_id = 430057,attr_list = [{1,500},{4,250},{2,5000}],resource_id = 430057,is_global = 0,color = 4,power = 0,access_way = "通关无尽回廊第188层",access_id = [],index = 58,force_cancel = 0};

get_by_id(430058) ->
    #base_designation{id = 430058,main_type = 1,name = "无尽·究极",description = "通关无尽回廊第192层后获得",type = 1,is_trial = 0,goods_id = 430058,attr_list = [{1,510},{4,255},{2,5100}],resource_id = 430058,is_global = 0,color = 4,power = 0,access_way = "通关无尽回廊第192层",access_id = [],index = 59,force_cancel = 0};

get_by_id(430101) ->
    #base_designation{id = 430101,main_type = 1,name = "深度觉醒",description = "累计登录4天后获得",type = 1,is_trial = 0,goods_id = 430101,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 430101,is_global = 0,color = 3,power = 0,access_way = "累计登录4天",access_id = [],index = 60,force_cancel = 0};

get_by_id(430102) ->
    #base_designation{id = 430102,main_type = 3,name = "异能觉醒",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 430102,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 430102,is_global = 0,color = 2,power = 0,access_way = "",access_id = [],index = 23,force_cancel = 0};

get_by_id(430103) ->
    #base_designation{id = 430103,main_type = 3,name = "护送之星",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 430103,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 430103,is_global = 0,color = 2,power = 0,access_way = "",access_id = [],index = 24,force_cancel = 0};

get_by_id(430104) ->
    #base_designation{id = 430104,main_type = 3,name = "天赋血脉",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 430104,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 430104,is_global = 0,color = 3,power = 0,access_way = "",access_id = [],index = 1,force_cancel = 0};

get_by_id(431000) ->
    #base_designation{id = 431000,main_type = 3,name = "声名远扬",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 431000,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 431000,is_global = 0,color = 3,power = 0,access_way = "",access_id = [],index = 2,force_cancel = 0};

get_by_id(431001) ->
    #base_designation{id = 431001,main_type = 3,name = "精明之眼",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 431001,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 431001,is_global = 0,color = 3,power = 0,access_way = "",access_id = [],index = 3,force_cancel = 0};

get_by_id(431002) ->
    #base_designation{id = 431002,main_type = 4,name = "小有成就",description = "3天限时称号，开通贵族免费送",type = 2,is_trial = 0,goods_id = 431002,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 431002,is_global = 0,color = 2,power = 0,access_way = "",access_id = [],index = 29,force_cancel = 0};

get_by_id(431003) ->
    #base_designation{id = 431003,main_type = 3,name = "成功人士",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 431003,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 431003,is_global = 0,color = 3,power = 0,access_way = "",access_id = [],index = 4,force_cancel = 0};

get_by_id(431004) ->
    #base_designation{id = 431004,main_type = 3,name = "社会精英",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 431004,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 431004,is_global = 0,color = 3,power = 0,access_way = "",access_id = [],index = 5,force_cancel = 0};

get_by_id(431005) ->
    #base_designation{id = 431005,main_type = 4,name = "无尽领主",description = "无尽领域第一名限时称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 431005,is_global = 0,color = 4,power = 0,access_way = "无尽领域第1名获得",access_id = [{600,2}],index = 5,force_cancel = 0};

get_by_id(431006) ->
    #base_designation{id = 431006,main_type = 2,name = "至尊宠物家",description = "宠物系统限时称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 431006,is_global = 0,color = 4,power = 0,access_way = "获得至尊宠物奖励",access_id = [{163,1}],index = 2,force_cancel = 0};

get_by_id(431007) ->
    #base_designation{id = 431007,main_type = 2,name = "高贵宠物家",description = "宠物系统限时称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,160},{4,80},{2,1600}],resource_id = 431007,is_global = 0,color = 3,power = 0,access_way = "获得高贵宠物奖励",access_id = [{163,1}],index = 3,force_cancel = 0};

get_by_id(431008) ->
    #base_designation{id = 431008,main_type = 2,name = "优秀宠物家",description = "宠物系统限时称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,120},{4,60},{2,1200}],resource_id = 431008,is_global = 0,color = 3,power = 0,access_way = "获得优秀宠物奖励",access_id = [{163,1}],index = 4,force_cancel = 0};

get_by_id(432001) ->
    #base_designation{id = 432001,main_type = 4,name = "地表最强·会长",description = "本服团战积分第一社团团长专属称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 432001,is_global = 0,color = 4,power = 0,access_way = "本服团战积分第一的社团团长获得",access_id = [{400,5}],index = 3,force_cancel = 0};

get_by_id(432002) ->
    #base_designation{id = 432002,main_type = 2,name = "地表最强·社员",description = "本服团战积分第一社团团员专属称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 432002,is_global = 0,color = 4,power = 0,access_way = "本服团战积分第一的社团团员获得",access_id = [{400,5}],index = 3,force_cancel = 0};

get_by_id(432003) ->
    #base_designation{id = 432003,main_type = 4,name = "派对之星",description = "派对畅聊排名第一限时称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,160},{4,80},{2,1600}],resource_id = 432003,is_global = 0,color = 5,power = 0,access_way = "派对畅聊排名第一的玩家获得",access_id = [{418,0}],index = 4,force_cancel = 0};

get_by_id(432004) ->
    #base_designation{id = 432004,main_type = 2,name = "第一社团",description = "本国团战积分第一社团限时称号",type = 1,is_trial = 1,goods_id = 0,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 432004,is_global = 0,color = 3,power = 0,access_way = "本国团战积分第一社团限时称号",access_id = [{410,0}],index = 5,force_cancel = 0};

get_by_id(432005) ->
    #base_designation{id = 432005,main_type = 2,name = "第二社团",description = "本国团战积分第二社团限时称号",type = 1,is_trial = 1,goods_id = 0,attr_list = [{1,160},{4,80},{2,1600}],resource_id = 432005,is_global = 0,color = 2,power = 0,access_way = "本国团战积分第二社团限时称号",access_id = [{410,0}],index = 6,force_cancel = 0};

get_by_id(432006) ->
    #base_designation{id = 432006,main_type = 2,name = "第三社团",description = "本国团战积分第三社团限时称号",type = 1,is_trial = 1,goods_id = 0,attr_list = [{1,120},{4,60},{2,1200}],resource_id = 432006,is_global = 0,color = 2,power = 0,access_way = "本国团战积分第三社团限时称号",access_id = [{410,0}],index = 7,force_cancel = 0};

get_by_id(432007) ->
    #base_designation{id = 432007,main_type = 2,name = "十大恶人",description = "本服团战击杀数前十专属限时称号",type = 1,is_trial = 1,goods_id = 0,attr_list = [{1,80},{4,40},{2,800}],resource_id = 432007,is_global = 0,color = 3,power = 0,access_way = "本服团战击杀数前十",access_id = [{400,5}],index = 8,force_cancel = 0};

get_by_id(432008) ->
    #base_designation{id = 432008,main_type = 2,name = "第一恶人",description = "本服团战击杀最多专属限时称号",type = 1,is_trial = 1,goods_id = 0,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432008,is_global = 0,color = 3,power = 0,access_way = "本服团战击杀数第一名获得",access_id = [{400,5}],index = 9,force_cancel = 0};

get_by_id(432009) ->
    #base_designation{id = 432009,main_type = 2,name = "第二恶人",description = "本服团战击杀第二专属限时称号",type = 1,is_trial = 1,goods_id = 0,attr_list = [{1,160},{4,80},{2,1600}],resource_id = 432009,is_global = 0,color = 3,power = 0,access_way = "本服团战击杀数第二名获得",access_id = [{400,5}],index = 10,force_cancel = 0};

get_by_id(432010) ->
    #base_designation{id = 432010,main_type = 2,name = "第三恶人",description = "本服团战击杀第三专属限时称号",type = 1,is_trial = 1,goods_id = 0,attr_list = [{1,120},{4,60},{2,1200}],resource_id = 432010,is_global = 0,color = 3,power = 0,access_way = "本服团战击杀数第三名获得",access_id = [{400,5}],index = 11,force_cancel = 0};

get_by_id(432011) ->
    #base_designation{id = 432011,main_type = 3,name = "大佬别打我",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432011,attr_list = [{1,40},{4,20},{2,400}],resource_id = 432011,is_global = 0,color = 2,power = 0,access_way = "本服团战死亡次数第一的可怜虫",access_id = [{400,5}],index = 6,force_cancel = 0};

get_by_id(432012) ->
    #base_designation{id = 432012,main_type = 4,name = "单排王者",description = "竞技联赛赛季第一名限时称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 432012,is_global = 0,color = 5,power = 0,access_way = "竞技联赛赛季第一名",access_id = [{280,0}],index = 25,force_cancel = 0};

get_by_id(432013) ->
    #base_designation{id = 432013,main_type = 4,name = "单排大师",description = "竞技联赛前三名限时称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 432013,is_global = 0,color = 5,power = 0,access_way = "竞技联赛前三名",access_id = [{280,0}],index = 26,force_cancel = 0};

get_by_id(432014) ->
    #base_designation{id = 432014,main_type = 4,name = "金钱的香气",description = "达到VIP5后获得",type = 2,is_trial = 0,goods_id = 432014,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 432014,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 33,force_cancel = 0};

get_by_id(432015) ->
    #base_designation{id = 432015,main_type = 4,name = "圣城城主",description = "跨国团战限时称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 432015,is_global = 0,color = 4,power = 0,access_way = "跨国团战霸主获得",access_id = [{400,5}],index = 27,force_cancel = 0};

get_by_id(432016) ->
    #base_designation{id = 432016,main_type = 2,name = "卫城领主",description = "跨国团战限时称号",type = 1,is_trial = 1,goods_id = 0,attr_list = [{1,160},{4,80},{2,1600}],resource_id = 432016,is_global = 0,color = 3,power = 0,access_way = "跨国团战准霸主获得",access_id = [{400,5}],index = 16,force_cancel = 0};

get_by_id(432017) ->
    #base_designation{id = 432017,main_type = 2,name = "圣城居民",description = "跨国团战限时称号",type = 1,is_trial = 1,goods_id = 0,attr_list = [{1,120},{4,60},{2,1200}],resource_id = 432017,is_global = 0,color = 3,power = 0,access_way = "跨国团战霸主帮会成员获得",access_id = [{400,5}],index = 18,force_cancel = 0};

get_by_id(432018) ->
    #base_designation{id = 432018,main_type = 3,name = "幸运之子",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432018,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432018,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 7,force_cancel = 0};

get_by_id(432019) ->
    #base_designation{id = 432019,main_type = 3,name = "天降正义",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432019,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432019,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 8,force_cancel = 0};

get_by_id(432020) ->
    #base_designation{id = 432020,main_type = 3,name = "一掷千金",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432020,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432020,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 9,force_cancel = 0};

get_by_id(432021) ->
    #base_designation{id = 432021,main_type = 3,name = "龙裔使徒",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432021,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432021,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 10,force_cancel = 0};

get_by_id(432022) ->
    #base_designation{id = 432022,main_type = 3,name = "正义的伙伴",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432022,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432022,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 11,force_cancel = 0};

get_by_id(432023) ->
    #base_designation{id = 432023,main_type = 3,name = "前方高能",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432023,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432023,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 12,force_cancel = 0};

get_by_id(432024) ->
    #base_designation{id = 432024,main_type = 3,name = "招招致命",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432024,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432024,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 13,force_cancel = 0};

get_by_id(432025) ->
    #base_designation{id = 432025,main_type = 4,name = "黄金王冠",description = "达到VIP4后获得",type = 2,is_trial = 0,goods_id = 432025,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432025,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 32,force_cancel = 0};

get_by_id(432026) ->
    #base_designation{id = 432026,main_type = 3,name = "屠龙勇士",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432026,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432026,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 14,force_cancel = 0};

get_by_id(432027) ->
    #base_designation{id = 432027,main_type = 4,name = "原地起飞",description = "3天限时称号，开通贵族免费送",type = 2,is_trial = 0,goods_id = 432027,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432027,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 30,force_cancel = 0};

get_by_id(432028) ->
    #base_designation{id = 432028,main_type = 4,name = "飞龙在天",description = "首充后获得",type = 2,is_trial = 0,goods_id = 432028,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432028,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 28,force_cancel = 0};

get_by_id(432029) ->
    #base_designation{id = 432029,main_type = 4,name = "我有小钱钱",description = "达到VIP2后获得",type = 2,is_trial = 0,goods_id = 432029,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432029,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 31,force_cancel = 0};

get_by_id(432030) ->
    #base_designation{id = 432030,main_type = 3,name = "护花使者",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432030,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432030,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 15,force_cancel = 0};

get_by_id(432031) ->
    #base_designation{id = 432031,main_type = 3,name = "交个朋友",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432031,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432031,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 16,force_cancel = 0};

get_by_id(432032) ->
    #base_designation{id = 432032,main_type = 3,name = "暗灭龙皇",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432032,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432032,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 17,force_cancel = 0};

get_by_id(432033) ->
    #base_designation{id = 432033,main_type = 3,name = "我太好看了",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432033,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432033,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 18,force_cancel = 0};

get_by_id(432034) ->
    #base_designation{id = 432034,main_type = 3,name = "跟我摇摆",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432034,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432034,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 19,force_cancel = 0};

get_by_id(432035) ->
    #base_designation{id = 432035,main_type = 3,name = "人见人爱",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432035,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432035,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 20,force_cancel = 0};

get_by_id(432036) ->
    #base_designation{id = 432036,main_type = 3,name = "正道的光",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432036,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432036,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 21,force_cancel = 0};

get_by_id(432037) ->
    #base_designation{id = 432037,main_type = 3,name = "超级能吃",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 432037,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 432037,is_global = 0,color = 4,power = 0,access_way = "",access_id = [],index = 22,force_cancel = 0};

get_by_id(433000) ->
    #base_designation{id = 433000,main_type = 4,name = "风驰电掣",description = "开服全民冲榜座驾榜第1名",type = 2,is_trial = 0,goods_id = 433000,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433000,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 6,force_cancel = 0};

get_by_id(433001) ->
    #base_designation{id = 433001,main_type = 4,name = "翼飞冲天",description = "开服全民冲榜炫翼榜第1名",type = 2,is_trial = 0,goods_id = 433001,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433001,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 7,force_cancel = 0};

get_by_id(433002) ->
    #base_designation{id = 433002,main_type = 4,name = "绝世神兵",description = "开服全民冲榜武器榜第1名",type = 2,is_trial = 0,goods_id = 433002,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433002,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 8,force_cancel = 0};

get_by_id(433003) ->
    #base_designation{id = 433003,main_type = 4,name = "S级宝具",description = "开服全民冲榜宝具榜第1名",type = 2,is_trial = 0,goods_id = 433003,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433003,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 9,force_cancel = 0};

get_by_id(433004) ->
    #base_designation{id = 433004,main_type = 4,name = "最强AI",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 433004,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433004,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 21,force_cancel = 0};

get_by_id(433005) ->
    #base_designation{id = 433005,main_type = 4,name = "移动炮台",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 433005,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433005,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 22,force_cancel = 0};

get_by_id(433006) ->
    #base_designation{id = 433006,main_type = 4,name = "战争堡垒",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 433006,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433006,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 23,force_cancel = 0};

get_by_id(433007) ->
    #base_designation{id = 433007,main_type = 4,name = "闪耀星翼",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 433007,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433007,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 24,force_cancel = 0};

get_by_id(433008) ->
    #base_designation{id = 433008,main_type = 4,name = "闪光的大佬",description = "达到VIP6后获得",type = 2,is_trial = 0,goods_id = 433008,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433008,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 34,force_cancel = 0};

get_by_id(433009) ->
    #base_designation{id = 433009,main_type = 4,name = "尊贵的一哥",description = "达到VIP9后获得",type = 2,is_trial = 0,goods_id = 433009,attr_list = [{1,800},{4,400},{2,8000}],resource_id = 433009,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 35,force_cancel = 0};

get_by_id(433010) ->
    #base_designation{id = 433010,main_type = 4,name = "超炫的总裁",description = "达到VIP11后获得",type = 2,is_trial = 0,goods_id = 433010,attr_list = [{1,1600},{4,800},{2,16000}],resource_id = 433010,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 36,force_cancel = 0};

get_by_id(433011) ->
    #base_designation{id = 433011,main_type = 4,name = "跪下叫霸霸",description = "达到VIP15后获得",type = 2,is_trial = 0,goods_id = 433011,attr_list = [{1,2400},{4,1200},{2,24000}],resource_id = 433011,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 37,force_cancel = 0};

get_by_id(433012) ->
    #base_designation{id = 433012,main_type = 4,name = "战力·全服制霸",description = "战力榜首限时称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 433012,is_global = 1,color = 5,power = 0,access_way = "战力榜首获得",access_id = [{221,1}],index = 1,force_cancel = 0};

get_by_id(433013) ->
    #base_designation{id = 433013,main_type = 4,name = "等级·全服制霸",description = "等级榜首限时称号",type = 2,is_trial = 1,goods_id = 0,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 433013,is_global = 1,color = 5,power = 0,access_way = "等级榜首获得",access_id = [{221,2}],index = 2,force_cancel = 0};

get_by_id(433017) ->
    #base_designation{id = 433017,main_type = 2,name = "耀钻霸主",description = "社团竞速TOP3社团中，战力第一可获得",type = 2,is_trial = 0,goods_id = 433017,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433017,is_global = 0,color = 5,power = 0,access_way = "社团竞速TOP3社团中，战力第一可获得",access_id = [],index = 12,force_cancel = 1};

get_by_id(433018) ->
    #base_designation{id = 433018,main_type = 2,name = "耀钻英杰",description = "社团竞速TOP3社团中，战力第二至第四可获得",type = 2,is_trial = 0,goods_id = 433018,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 433018,is_global = 0,color = 5,power = 0,access_way = "社团竞速TOP3社团中，战力第二至第四可获得",access_id = [],index = 14,force_cancel = 1};

get_by_id(433019) ->
    #base_designation{id = 433019,main_type = 2,name = "耀钻先锋",description = "社团竞速TOP4社团中，战力第五至第十可获得",type = 2,is_trial = 0,goods_id = 433019,attr_list = [{1,80},{4,40},{2,800}],resource_id = 433019,is_global = 0,color = 5,power = 0,access_way = "社团竞速TOP4社团中，战力第五至第十可获得",access_id = [],index = 17,force_cancel = 1};

get_by_id(433025) ->
    #base_designation{id = 433025,main_type = 4,name = "世界第一美",description = "超级明星冠军专属称号",type = 2,is_trial = 0,goods_id = 433025,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433025,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 39,force_cancel = 0};

get_by_id(433026) ->
    #base_designation{id = 433026,main_type = 4,name = "世界第二美",description = "超级明星亚军专属称号",type = 2,is_trial = 0,goods_id = 433026,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 433026,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 40,force_cancel = 0};

get_by_id(433027) ->
    #base_designation{id = 433027,main_type = 2,name = "靓丽四强",description = "超级明星四强专属称号",type = 2,is_trial = 1,goods_id = 433027,attr_list = [{1,120},{4,60},{2,1200}],resource_id = 433027,is_global = 0,color = 4,power = 0,access_way = "超级明星四强",access_id = [],index = 41,force_cancel = 0};

get_by_id(433028) ->
    #base_designation{id = 433028,main_type = 2,name = "靓丽八强",description = "超级明星八强专属称号",type = 2,is_trial = 1,goods_id = 433028,attr_list = [{1,80},{4,40},{2,800}],resource_id = 433028,is_global = 0,color = 4,power = 0,access_way = "超级明星八强",access_id = [],index = 42,force_cancel = 0};

get_by_id(433029) ->
    #base_designation{id = 433029,main_type = 2,name = "靓丽十六强",description = "超级明星十六强专属称号",type = 2,is_trial = 1,goods_id = 433029,attr_list = [{1,40},{4,20},{2,400}],resource_id = 433029,is_global = 0,color = 4,power = 0,access_way = "超级明星十六强",access_id = [],index = 43,force_cancel = 0};

get_by_id(433030) ->
    #base_designation{id = 433030,main_type = 4,name = "战神降临",description = "参加运营活动获得",type = 2,is_trial = 0,goods_id = 433030,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433030,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 38,force_cancel = 0};

get_by_id(433031) ->
    #base_designation{id = 433031,main_type = 2,name = "首席·执政官",description = "星域世界本国执政官员专属称号",type = 2,is_trial = 1,goods_id = 433031,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433031,is_global = 3,color = 5,power = 0,access_way = "星域世界本国执政官员专属称号",access_id = [],index = 82,force_cancel = 0};

get_by_id(433032) ->
    #base_designation{id = 433032,main_type = 2,name = "战斗·指挥官",description = "星域世界本国指挥官员专属称号",type = 2,is_trial = 1,goods_id = 433032,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 433032,is_global = 4,color = 4,power = 0,access_way = "星域世界本国指挥官员专属称号",access_id = [],index = 83,force_cancel = 0};

get_by_id(433098) ->
    #base_designation{id = 433098,main_type = 4,name = "红装闪耀",description = "开服全民冲榜红装榜第1名",type = 2,is_trial = 0,goods_id = 433098,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433098,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 10,force_cancel = 0};

get_by_id(433099) ->
    #base_designation{id = 433099,main_type = 4,name = "无敌战魂",description = "开服全民冲榜战魂榜第1名",type = 2,is_trial = 0,goods_id = 433099,attr_list = [{1,400},{4,200},{2,4000}],resource_id = 433099,is_global = 0,color = 5,power = 0,access_way = "",access_id = [],index = 11,force_cancel = 0};

get_by_id(434001) ->
    #base_designation{id = 434001,main_type = 1,name = "一代绿装",description = "装备收集集齐一代绿装",type = 1,is_trial = 0,goods_id = 434001,attr_list = [{1,40},{4,20},{2,400}],resource_id = 434001,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐一代绿装",access_id = [{152,8}],index = 63,force_cancel = 0};

get_by_id(434002) ->
    #base_designation{id = 434002,main_type = 1,name = "一代蓝装",description = "装备收集集齐一代蓝装",type = 1,is_trial = 0,goods_id = 434002,attr_list = [{1,80},{4,40},{2,800}],resource_id = 434002,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐一代蓝装",access_id = [{152,8}],index = 64,force_cancel = 0};

get_by_id(434003) ->
    #base_designation{id = 434003,main_type = 1,name = "一代紫装",description = "装备收集集齐一代紫装",type = 1,is_trial = 0,goods_id = 434003,attr_list = [{1,120},{4,60},{2,1200}],resource_id = 434003,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐一代紫装",access_id = [{152,8}],index = 65,force_cancel = 0};

get_by_id(434004) ->
    #base_designation{id = 434004,main_type = 1,name = "一代橙装",description = "装备收集集齐一代橙装",type = 2,is_trial = 0,goods_id = 434004,attr_list = [{1,160},{4,80},{2,1600}],resource_id = 434004,is_global = 0,color = 3,power = 0,access_way = "装备收集集齐一代橙装",access_id = [{152,8}],index = 66,force_cancel = 0};

get_by_id(434005) ->
    #base_designation{id = 434005,main_type = 1,name = "二代蓝装",description = "装备收集集齐二代蓝装",type = 1,is_trial = 0,goods_id = 434005,attr_list = [{1,80},{4,40},{2,800}],resource_id = 434005,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐二代蓝装",access_id = [{152,8}],index = 67,force_cancel = 0};

get_by_id(434006) ->
    #base_designation{id = 434006,main_type = 1,name = "二代紫装",description = "装备收集集齐二代紫装",type = 1,is_trial = 0,goods_id = 434006,attr_list = [{1,120},{4,60},{2,1200}],resource_id = 434006,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐二代紫装",access_id = [{152,8}],index = 68,force_cancel = 0};

get_by_id(434007) ->
    #base_designation{id = 434007,main_type = 1,name = "二代橙装",description = "装备收集集齐二代橙装",type = 2,is_trial = 0,goods_id = 434007,attr_list = [{1,160},{4,80},{2,1600}],resource_id = 434007,is_global = 0,color = 3,power = 0,access_way = "装备收集集齐二代橙装",access_id = [{152,8}],index = 69,force_cancel = 0};

get_by_id(434008) ->
    #base_designation{id = 434008,main_type = 1,name = "三代蓝装",description = "装备收集集齐三代蓝装",type = 1,is_trial = 0,goods_id = 434008,attr_list = [{1,120},{4,60},{2,1200}],resource_id = 434008,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐三代蓝装",access_id = [{152,8}],index = 70,force_cancel = 0};

get_by_id(434009) ->
    #base_designation{id = 434009,main_type = 1,name = "三代紫装",description = "装备收集集齐三代紫装",type = 1,is_trial = 0,goods_id = 434009,attr_list = [{1,160},{4,80},{2,1600}],resource_id = 434009,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐三代紫装",access_id = [{152,8}],index = 71,force_cancel = 0};

get_by_id(434010) ->
    #base_designation{id = 434010,main_type = 1,name = "三代橙装",description = "装备收集集齐三代橙装",type = 2,is_trial = 0,goods_id = 434010,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 434010,is_global = 0,color = 3,power = 0,access_way = "装备收集集齐三代橙装",access_id = [{152,8}],index = 72,force_cancel = 0};

get_by_id(434011) ->
    #base_designation{id = 434011,main_type = 1,name = "四代蓝装",description = "装备收集集齐四代蓝装",type = 1,is_trial = 0,goods_id = 434011,attr_list = [{1,160},{4,80},{2,1600}],resource_id = 434011,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐四代蓝装",access_id = [{152,8}],index = 73,force_cancel = 0};

get_by_id(434012) ->
    #base_designation{id = 434012,main_type = 1,name = "四代紫装",description = "装备收集集齐四代紫装",type = 1,is_trial = 0,goods_id = 434012,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 434012,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐四代紫装",access_id = [{152,8}],index = 74,force_cancel = 0};

get_by_id(434013) ->
    #base_designation{id = 434013,main_type = 1,name = "四代橙装",description = "装备收集集齐四代橙装",type = 2,is_trial = 0,goods_id = 434013,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 434013,is_global = 0,color = 3,power = 0,access_way = "装备收集集齐四代橙装",access_id = [{152,8}],index = 75,force_cancel = 0};

get_by_id(434014) ->
    #base_designation{id = 434014,main_type = 1,name = "五代蓝装",description = "装备收集集齐五代蓝装",type = 1,is_trial = 0,goods_id = 434014,attr_list = [{1,200},{4,100},{2,2000}],resource_id = 434014,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐五代蓝装",access_id = [{152,8}],index = 76,force_cancel = 0};

get_by_id(434015) ->
    #base_designation{id = 434015,main_type = 1,name = "五代紫装",description = "装备收集集齐五代紫装",type = 1,is_trial = 0,goods_id = 434015,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 434015,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐五代紫装",access_id = [{152,8}],index = 77,force_cancel = 0};

get_by_id(434016) ->
    #base_designation{id = 434016,main_type = 1,name = "五代橙装",description = "装备收集集齐五代橙装",type = 2,is_trial = 0,goods_id = 434016,attr_list = [{1,280},{4,140},{2,2800}],resource_id = 434016,is_global = 0,color = 3,power = 0,access_way = "装备收集集齐五代橙装",access_id = [{152,8}],index = 78,force_cancel = 0};

get_by_id(434017) ->
    #base_designation{id = 434017,main_type = 1,name = "六代蓝装",description = "装备收集集齐六代蓝装",type = 1,is_trial = 0,goods_id = 434017,attr_list = [{1,240},{4,120},{2,2400}],resource_id = 434017,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐六代蓝装",access_id = [{152,8}],index = 79,force_cancel = 0};

get_by_id(434018) ->
    #base_designation{id = 434018,main_type = 1,name = "六代紫装",description = "装备收集集齐六代紫装",type = 1,is_trial = 0,goods_id = 434018,attr_list = [{1,280},{4,140},{2,2800}],resource_id = 434018,is_global = 0,color = 2,power = 0,access_way = "装备收集集齐六代紫装",access_id = [{152,8}],index = 80,force_cancel = 0};

get_by_id(434019) ->
    #base_designation{id = 434019,main_type = 1,name = "六代橙装",description = "装备收集集齐六代橙装",type = 2,is_trial = 0,goods_id = 434019,attr_list = [{1,320},{4,160},{2,3200}],resource_id = 434019,is_global = 0,color = 3,power = 0,access_way = "装备收集集齐六代橙装",access_id = [{152,8}],index = 81,force_cancel = 0};

get_by_id(_Id) ->
    [].

get_all_dsgt() ->
    [430001,430002,430003,430004,430005,430006,430007,430008,430009,430010,430011,430012,430013,430014,430015,430016,430017,430018,430019,430020,430021,430022,430023,430024,430025,430026,430027,430028,430029,430030,430031,430032,430033,430034,430035,430036,430037,430038,430039,430040,430041,430042,430043,430044,430045,430046,430047,430048,430049,430050,430051,430052,430053,430054,430055,430056,430057,430058,430101,430102,430103,430104,431000,431001,431002,431003,431004,431005,431006,431007,431008,432001,432002,432003,432004,432005,432006,432007,432008,432009,432010,432011,432012,432013,432014,432015,432016,432017,432018,432019,432020,432021,432022,432023,432024,432025,432026,432027,432028,432029,432030,432031,432032,432033,432034,432035,432036,432037,433000,433001,433002,433003,433004,433005,433006,433007,433008,433009,433010,433011,433012,433013,433017,433018,433019,433025,433026,433027,433028,433029,433030,433031,433032,433098,433099,434001,434002,434003,434004,434005,434006,434007,434008,434009,434010,434011,434012,434013,434014,434015,434016,434017,434018,434019].


get_designation_id(430001) ->
    [430001];


get_designation_id(430002) ->
    [430002];


get_designation_id(430003) ->
    [430003];


get_designation_id(430004) ->
    [430004];


get_designation_id(430005) ->
    [430005];


get_designation_id(430006) ->
    [430006];


get_designation_id(430007) ->
    [430007];


get_designation_id(430008) ->
    [430008];


get_designation_id(430009) ->
    [430009];


get_designation_id(430010) ->
    [430010];


get_designation_id(430011) ->
    [430011];


get_designation_id(430012) ->
    [430012];


get_designation_id(430013) ->
    [430013];


get_designation_id(430014) ->
    [430014];


get_designation_id(430015) ->
    [430015];


get_designation_id(430016) ->
    [430016];


get_designation_id(430017) ->
    [430017];


get_designation_id(430018) ->
    [430018];


get_designation_id(430019) ->
    [430019];


get_designation_id(430020) ->
    [430020];


get_designation_id(430021) ->
    [430021];


get_designation_id(430022) ->
    [430022];


get_designation_id(430023) ->
    [430023];


get_designation_id(430024) ->
    [430024];


get_designation_id(430025) ->
    [430025];


get_designation_id(430026) ->
    [430026];


get_designation_id(430027) ->
    [430027];


get_designation_id(430028) ->
    [430028];


get_designation_id(430029) ->
    [430029];


get_designation_id(430030) ->
    [430030];


get_designation_id(430031) ->
    [430031];


get_designation_id(430032) ->
    [430032];


get_designation_id(430033) ->
    [430033];


get_designation_id(430034) ->
    [430034];


get_designation_id(430035) ->
    [430035];


get_designation_id(430036) ->
    [430036];


get_designation_id(430037) ->
    [430037];


get_designation_id(430038) ->
    [430038];


get_designation_id(430039) ->
    [430039];


get_designation_id(430040) ->
    [430040];


get_designation_id(430041) ->
    [430041];


get_designation_id(430042) ->
    [430042];


get_designation_id(430043) ->
    [430043];


get_designation_id(430044) ->
    [430044];


get_designation_id(430045) ->
    [430045];


get_designation_id(430046) ->
    [430046];


get_designation_id(430047) ->
    [430047];


get_designation_id(430048) ->
    [430048];


get_designation_id(430049) ->
    [430049];


get_designation_id(430050) ->
    [430050];


get_designation_id(430051) ->
    [430051];


get_designation_id(430052) ->
    [430052];


get_designation_id(430053) ->
    [430053];


get_designation_id(430054) ->
    [430054];


get_designation_id(430055) ->
    [430055];


get_designation_id(430056) ->
    [430056];


get_designation_id(430057) ->
    [430057];


get_designation_id(430058) ->
    [430058];


get_designation_id(430101) ->
    [430101];


get_designation_id(430102) ->
    [430102];


get_designation_id(430103) ->
    [430103];


get_designation_id(430104) ->
    [430104];


get_designation_id(431000) ->
    [431000];


get_designation_id(431001) ->
    [431001];


get_designation_id(431002) ->
    [431002];


get_designation_id(431003) ->
    [431003];


get_designation_id(431004) ->
    [431004];


get_designation_id(0) ->
    [431005,431006,431007,431008,432001,432002,432003,432004,432005,432006,432007,432008,432009,432010,432012,432013,432015,432016,432017,433012,433013];


get_designation_id(432011) ->
    [432011];


get_designation_id(432014) ->
    [432014];


get_designation_id(432018) ->
    [432018];


get_designation_id(432019) ->
    [432019];


get_designation_id(432020) ->
    [432020];


get_designation_id(432021) ->
    [432021];


get_designation_id(432022) ->
    [432022];


get_designation_id(432023) ->
    [432023];


get_designation_id(432024) ->
    [432024];


get_designation_id(432025) ->
    [432025];


get_designation_id(432026) ->
    [432026];


get_designation_id(432027) ->
    [432027];


get_designation_id(432028) ->
    [432028];


get_designation_id(432029) ->
    [432029];


get_designation_id(432030) ->
    [432030];


get_designation_id(432031) ->
    [432031];


get_designation_id(432032) ->
    [432032];


get_designation_id(432033) ->
    [432033];


get_designation_id(432034) ->
    [432034];


get_designation_id(432035) ->
    [432035];


get_designation_id(432036) ->
    [432036];


get_designation_id(432037) ->
    [432037];


get_designation_id(433000) ->
    [433000];


get_designation_id(433001) ->
    [433001];


get_designation_id(433002) ->
    [433002];


get_designation_id(433003) ->
    [433003];


get_designation_id(433004) ->
    [433004];


get_designation_id(433005) ->
    [433005];


get_designation_id(433006) ->
    [433006];


get_designation_id(433007) ->
    [433007];


get_designation_id(433008) ->
    [433008];


get_designation_id(433009) ->
    [433009];


get_designation_id(433010) ->
    [433010];


get_designation_id(433011) ->
    [433011];


get_designation_id(433017) ->
    [433017];


get_designation_id(433018) ->
    [433018];


get_designation_id(433019) ->
    [433019];


get_designation_id(433025) ->
    [433025];


get_designation_id(433026) ->
    [433026];


get_designation_id(433027) ->
    [433027];


get_designation_id(433028) ->
    [433028];


get_designation_id(433029) ->
    [433029];


get_designation_id(433030) ->
    [433030];


get_designation_id(433031) ->
    [433031];


get_designation_id(433032) ->
    [433032];


get_designation_id(433098) ->
    [433098];


get_designation_id(433099) ->
    [433099];


get_designation_id(434001) ->
    [434001];


get_designation_id(434002) ->
    [434002];


get_designation_id(434003) ->
    [434003];


get_designation_id(434004) ->
    [434004];


get_designation_id(434005) ->
    [434005];


get_designation_id(434006) ->
    [434006];


get_designation_id(434007) ->
    [434007];


get_designation_id(434008) ->
    [434008];


get_designation_id(434009) ->
    [434009];


get_designation_id(434010) ->
    [434010];


get_designation_id(434011) ->
    [434011];


get_designation_id(434012) ->
    [434012];


get_designation_id(434013) ->
    [434013];


get_designation_id(434014) ->
    [434014];


get_designation_id(434015) ->
    [434015];


get_designation_id(434016) ->
    [434016];


get_designation_id(434017) ->
    [434017];


get_designation_id(434018) ->
    [434018];


get_designation_id(434019) ->
    [434019];

get_designation_id(_Goodsid) ->
    [].


get_all_dsgt_by_type(0) ->
    [430001,430002,430003,430004,430005,430006,430007,430008,430009,430010,430011,430012,430013,430014,430015,430016,430017,430018,430019,430020,430021,430022,430023,430024,430025,430026,430027,430028,430029,430030,430031,430032,430033,430034,430035,430036,430037,430038,430039,430040,430041,430042,430043,430044,430045,430046,430047,430048,430049,430050,430051,430052,430053,430054,430055,430056,430057,430058,430101,430102,430103,430104,431000,431001,431002,431003,431004,432011,432014,432018,432019,432020,432021,432022,432023,432024,432025,432026,432027,432028,432029,432030,432031,432032,432033,432034,432035,432036,432037,433000,433001,433002,433003,433004,433005,433006,433007,433008,433009,433010,433011,433017,433018,433019,433025,433026,433030,433098,433099,434001,434002,434003,434004,434005,434006,434007,434008,434009,434010,434011,434012,434013,434014,434015,434016,434017,434018,434019];


get_all_dsgt_by_type(1) ->
    [431005,431006,431007,431008,432001,432002,432003,432004,432005,432006,432007,432008,432009,432010,432012,432013,432015,432016,432017,433012,433013,433027,433028,433029,433031,433032];

get_all_dsgt_by_type(_Istrial) ->
    [].

get_trial_dsgt(431002) ->
    #base_dsgt_trial{goods_id = 431002,dsgt_id = 431002,trial_time = 259200,is_overlay = 2};

get_trial_dsgt(431005) ->
    #base_dsgt_trial{goods_id = 431005,dsgt_id = 431005,trial_time = 86400,is_overlay = 1};

get_trial_dsgt(431006) ->
    #base_dsgt_trial{goods_id = 431006,dsgt_id = 431006,trial_time = 86400,is_overlay = 1};

get_trial_dsgt(431007) ->
    #base_dsgt_trial{goods_id = 431007,dsgt_id = 431007,trial_time = 86400,is_overlay = 1};

get_trial_dsgt(431008) ->
    #base_dsgt_trial{goods_id = 431008,dsgt_id = 431008,trial_time = 86400,is_overlay = 1};

get_trial_dsgt(432001) ->
    #base_dsgt_trial{goods_id = 432001,dsgt_id = 432001,trial_time = 86400,is_overlay = 1};

get_trial_dsgt(432002) ->
    #base_dsgt_trial{goods_id = 432002,dsgt_id = 432002,trial_time = 86400,is_overlay = 1};

get_trial_dsgt(432003) ->
    #base_dsgt_trial{goods_id = 432003,dsgt_id = 432003,trial_time = 86400,is_overlay = 1};

get_trial_dsgt(432004) ->
    #base_dsgt_trial{goods_id = 432004,dsgt_id = 432004,trial_time = 604800,is_overlay = 1};

get_trial_dsgt(432005) ->
    #base_dsgt_trial{goods_id = 432005,dsgt_id = 432005,trial_time = 604800,is_overlay = 1};

get_trial_dsgt(432006) ->
    #base_dsgt_trial{goods_id = 432006,dsgt_id = 432006,trial_time = 604800,is_overlay = 1};

get_trial_dsgt(432007) ->
    #base_dsgt_trial{goods_id = 432007,dsgt_id = 432007,trial_time = 604800,is_overlay = 1};

get_trial_dsgt(432008) ->
    #base_dsgt_trial{goods_id = 432008,dsgt_id = 432008,trial_time = 604800,is_overlay = 1};

get_trial_dsgt(432009) ->
    #base_dsgt_trial{goods_id = 432009,dsgt_id = 432009,trial_time = 604800,is_overlay = 1};

get_trial_dsgt(432010) ->
    #base_dsgt_trial{goods_id = 432010,dsgt_id = 432010,trial_time = 604800,is_overlay = 1};

get_trial_dsgt(432011) ->
    #base_dsgt_trial{goods_id = 432011,dsgt_id = 432011,trial_time = 604800,is_overlay = 1};

get_trial_dsgt(432012) ->
    #base_dsgt_trial{goods_id = 432012,dsgt_id = 432012,trial_time = 1209600,is_overlay = 1};

get_trial_dsgt(432013) ->
    #base_dsgt_trial{goods_id = 432013,dsgt_id = 432013,trial_time = 1209600,is_overlay = 1};

get_trial_dsgt(432015) ->
    #base_dsgt_trial{goods_id = 432015,dsgt_id = 432015,trial_time = 604800,is_overlay = 1};

get_trial_dsgt(432016) ->
    #base_dsgt_trial{goods_id = 432016,dsgt_id = 432016,trial_time = 604800,is_overlay = 1};

get_trial_dsgt(432017) ->
    #base_dsgt_trial{goods_id = 432017,dsgt_id = 432017,trial_time = 604800,is_overlay = 1};

get_trial_dsgt(432027) ->
    #base_dsgt_trial{goods_id = 432027,dsgt_id = 432027,trial_time = 259200,is_overlay = 2};

get_trial_dsgt(433009) ->
    #base_dsgt_trial{goods_id = 433009,dsgt_id = 433009,trial_time = 601200,is_overlay = 1};

get_trial_dsgt(433010) ->
    #base_dsgt_trial{goods_id = 433010,dsgt_id = 433010,trial_time = 601200,is_overlay = 1};

get_trial_dsgt(433011) ->
    #base_dsgt_trial{goods_id = 433011,dsgt_id = 433011,trial_time = 601200,is_overlay = 1};

get_trial_dsgt(433025) ->
    #base_dsgt_trial{goods_id = 433025,dsgt_id = 433025,trial_time = 601200,is_overlay = 1};

get_trial_dsgt(433026) ->
    #base_dsgt_trial{goods_id = 433026,dsgt_id = 433026,trial_time = 601200,is_overlay = 1};

get_trial_dsgt(433027) ->
    #base_dsgt_trial{goods_id = 433027,dsgt_id = 433027,trial_time = 601200,is_overlay = 1};

get_trial_dsgt(433028) ->
    #base_dsgt_trial{goods_id = 433028,dsgt_id = 433028,trial_time = 601200,is_overlay = 1};

get_trial_dsgt(433029) ->
    #base_dsgt_trial{goods_id = 433029,dsgt_id = 433029,trial_time = 601200,is_overlay = 1};

get_trial_dsgt(433031) ->
    #base_dsgt_trial{goods_id = 433031,dsgt_id = 433031,trial_time = 601200,is_overlay = 1};

get_trial_dsgt(433032) ->
    #base_dsgt_trial{goods_id = 433032,dsgt_id = 433032,trial_time = 601200,is_overlay = 1};

get_trial_dsgt(_Goodsid) ->
    [].

get_all_trial_goods() ->
    [431002,431005,431006,431007,431008,432001,432002,432003,432004,432005,432006,432007,432008,432009,432010,432011,432012,432013,432015,432016,432017,432027,433009,433010,433011,433025,433026,433027,433028,433029,433031,433032].


get_dsgt_by_good(431002) ->
    431002;


get_dsgt_by_good(431005) ->
    431005;


get_dsgt_by_good(431006) ->
    431006;


get_dsgt_by_good(431007) ->
    431007;


get_dsgt_by_good(431008) ->
    431008;


get_dsgt_by_good(432001) ->
    432001;


get_dsgt_by_good(432002) ->
    432002;


get_dsgt_by_good(432003) ->
    432003;


get_dsgt_by_good(432004) ->
    432004;


get_dsgt_by_good(432005) ->
    432005;


get_dsgt_by_good(432006) ->
    432006;


get_dsgt_by_good(432007) ->
    432007;


get_dsgt_by_good(432008) ->
    432008;


get_dsgt_by_good(432009) ->
    432009;


get_dsgt_by_good(432010) ->
    432010;


get_dsgt_by_good(432011) ->
    432011;


get_dsgt_by_good(432012) ->
    432012;


get_dsgt_by_good(432013) ->
    432013;


get_dsgt_by_good(432015) ->
    432015;


get_dsgt_by_good(432016) ->
    432016;


get_dsgt_by_good(432017) ->
    432017;


get_dsgt_by_good(432027) ->
    432027;


get_dsgt_by_good(433009) ->
    433009;


get_dsgt_by_good(433010) ->
    433010;


get_dsgt_by_good(433011) ->
    433011;


get_dsgt_by_good(433025) ->
    433025;


get_dsgt_by_good(433026) ->
    433026;


get_dsgt_by_good(433027) ->
    433027;


get_dsgt_by_good(433028) ->
    433028;


get_dsgt_by_good(433029) ->
    433029;


get_dsgt_by_good(433031) ->
    433031;


get_dsgt_by_good(433032) ->
    433032;

get_dsgt_by_good(_Goodsid) ->
    0.

